/**
 * Copyright 2023 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

output "vmw_engine_network_config" {
  description = "VMware engine network configuration."
  value       = local.vmw_network
}

output "vmw_engine_network_peerings" {
  description = "The peerings created towards the user VPC or other VMware engine networks."
  value       = google_vmwareengine_network_peering.vmw_engine_network_peerings
}

output "vmw_engine_network_policies" {
  description = "The network policies associated to the VMware engine network."
  value       = google_vmwareengine_network_policy.vmw_engine_network_policies
}

output "vmw_engine_private_clouds" {
  description = "VMware engine private cloud resources."
  value       = google_vmwareengine_private_cloud.vmw_engine_private_clouds
}
